Bug 913501 - Provide native systemd unit file for mysql-mmm
Summary: Provide native systemd unit file for mysql-mmm
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: mysql-mmm   
(Show other bugs)
Version: 19
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ruben Kerkhof
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 913251
TreeView+ depends on / blocked
 
Reported: 2013-02-21 11:34 UTC by Jóhann B. Guðmundsson
Modified: 2013-09-15 18:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-15 18:12:53 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Native systemd service file for mysql-mmm (212 bytes, application/octet-stream)
2013-02-21 11:34 UTC, Jóhann B. Guðmundsson
no flags Details
tmpfile for mysql-mmm (38 bytes, text/plain)
2013-02-21 11:36 UTC, Jóhann B. Guðmundsson
no flags Details

Description Jóhann B. Guðmundsson 2013-02-21 11:34:36 UTC
Created attachment 700445 [details]
Native systemd service file for mysql-mmm

Description of problem:

https://fedoraproject.org/wiki/Features/SysVtoSystemd

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Jóhann B. Guðmundsson 2013-02-21 11:36:40 UTC
Created attachment 700449 [details]
tmpfile for mysql-mmm

mysql-mmm should have migrated to use tmpfiles instead of implementing hack like this in the legacy sysv script...

   # ensure directories exist (/var/run and /var/lock 
        # are tmpfs since Fedora 15
        run_dir=$(dirname $MMMD_MON_PIDFILE)
        if [ ! -e "$run_dir" ]; then
            mkdir -p $run_dir
        fi

Comment 2 Fedora End Of Life 2013-04-03 17:59:57 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 3 Fedora Admin XMLRPC Client 2013-08-05 08:39:28 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Ruben Kerkhof 2013-09-15 18:12:53 UTC
Fixed in mysql-mmm-2.2.1-11.fc21


Note You need to log in before you can comment on or make changes to this bug.